From: NN <pkgdev2@lms.zeppelin.corp>
Date: 15-Feb-2005
Subject: unknown contribution

Index: src/jboss/jboss.spec
===================================================================
RCS file: /v/openpkg/cvs/openpkg-src/jboss/jboss.spec,v
retrieving revision 1.5
diff -u -d -u -d -u -3 -r1.5 jboss.spec
--- src/jboss/jboss.spec	29 Jan 2005 09:28:58 -0000	1.5
+++ src/jboss/jboss.spec	15 Feb 2005 14:33:51 -0000
@@ -34,7 +34,7 @@
 Group:        Development
 License:      GPL
 Version:      3.2.7
-Release:      20050129
+Release:      20050207
 
 #   package options
 %option       with_compat no
Index: src/jboss/rc.jboss
===================================================================
RCS file: /v/openpkg/cvs/openpkg-src/jboss/rc.jboss,v
retrieving revision 1.3
diff -u -d -u -d -u -3 -r1.3 rc.jboss
--- src/jboss/rc.jboss	7 Dec 2004 16:04:01 -0000	1.3
+++ src/jboss/rc.jboss	15 Feb 2005 14:33:51 -0000
@@ -7,13 +7,14 @@
     jboss_enable="$openpkg_rc_def"
     jboss_config="server"
     jboss_console="/dev/null"
+    jboss_clearstate="yes"
 
 %common
     jboss_bindir="@l_prefix@/libexec/jboss/bin"
-    jboss_check_host=127.0.0.1     # host to check whether it accepts connections
-    jboss_check_port=1098          # port to check whether it accepts connections
-    jboss_check_timeout_start=120  # max seconds until JBoss accepts connections on startup
-    jboss_check_timeout_stop=40    # max seconds until JBoss rejects connections on shutdown
+    jboss_check_host=127.0.0.1    # host to check whether it accepts connections
+    jboss_check_port=1098         # port to check whether it accepts connections
+    jboss_check_timeout_start=120 # max seconds until JBoss accepts connections on startup
+    jboss_check_timeout_stop=40   # max seconds until JBoss rejects connections on shutdown
     jboss_probe () {
         #   check whether JBoss is up and running
         nc -z $jboss_check_host $jboss_check_port >/dev/null 2>&1
@@ -24,6 +25,13 @@
         #   load custom environment
         . @l_prefix@/etc/jboss/jboss.sh
 
+        #   remove state which is left over from last execution. This is
+        #   recommended as otherwise strange effects may occur (mostly Tomcat).
+        if [ "$jboss_clearstate" = "yes" ]; then
+           rm -rf @l_prefix@/var/jboss/$jboss_config/work/* \
+                  @l_prefix@/var/jboss/$jboss_config/tmp/*
+        fi
+
         #   startup JBoss as a background process
         ( nohup $jboss_bindir/run.sh -c $jboss_config \
               -D jboss.server.base.url=file:@l_prefix@/var/jboss \
